/*
  Very simple HTTP server for Embeded devices
  Author: Cafee
*/

#ifndef __HTTP_H__
#define __HTTP_H__

#define HTTP_PORT 80  //Port for incomming HTTP requests
#define HTTP_BUFFER_SIZE 1500 //Size of buffer for reqest
#define HTTP_HEADER_REGEXP "^\\s*(GET|POST|PUT|DELETE)\\s+(\\S+)\\s+HTTP/1.\\d" //Regexp for 1st line of request

typedef void (*HTTP_Handler_t)(int sckt,const char* headers,const  char* Data) ;//HTTP_Handler_t;

typedef enum{
  GET,
  POST,
  PUT,
  DELETE
} HTTP_Method_t;

typedef struct{
  const char* Filename;
  const HTTP_Method_t Method;
  const HTTP_Handler_t Handler;
  const char* Data;  
} HTTP_File_t;


void HTTP_Static(int, const char*, const char*);
void HTTP_Thread(const void *);




#endif
